# Interface DocumentModeHandler

public interface DocumentModeHandler
A callback interface for receiving notification about the document mode.

Version:
  $Id$
Author:
  hsivonen

## Method Summary

Modifier and Type
Method
Description
`void`
`documentMode(DocumentMode mode, String publicIdentifier, String systemIdentifier)`
Receive notification of the document mode.

## Method Details

### documentMode

void documentMode(DocumentMode mode, String publicIdentifier, String systemIdentifier) throws SAXException
Receive notification of the document mode.

Parameters:
  `mode` - the document mode
  `publicIdentifier` - the public id of the doctype or `null` if unavailable
  `systemIdentifier` - the system id of the doctype or `null` if unavailable
Throws:
  `SAXException` - if things go wrong